UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo Class Reference

UME Recovery sequence number callback info class. More...

## Public Member Functions
| UMERecoverySequenceNumberCallbackInfo ()
| Default constructor; initializes all fields to 0.
| UMERecoverySequenceNumberCallbackInfo (int flags, uint lowSeqNum, uint lowRxReqMaxSeqNum, uint highSeqNum, object sourceCbArg, string source)
| Constructor, initializes fields to the given values. More...
int | flags ()
| Get recovery sequence number info informational flags. More...
uint | lowSequenceNumber ()
| Get low sequence number. More...
uint | lowRxReqMaxSequenceNumber ()
| Get low retransmission request maximum sequence number. More...
uint | highSequenceNumber ()
| Get high sequence number. More...
object | sourceClientObject ()
| Get source client object. More...
string | source ()
| Get the source string. More...
void | setLowSequenceNumber (uint lowSeqNum)
| Set the desired starting low sequence number for recovery events. More...
UInt64 | sourceSessionId ()
| Get the session ID of the source. More...

## Detailed Description

UME Recovery sequence number callback info class.

Contains information for user-supplied recovery sequence number callbacks.

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.UMERecoverySequenceNumberCallbackInfo | ( | int | flags,
|  | uint | lowSeqNum,
|  | uint | lowRxReqMaxSeqNum,
|  | uint | highSeqNum,
|  | object | sourceCbArg,
|  | string | source
| ) |  |

Constructor, initializes fields to the given values.

Parameters

  flags | Informational flags.
  lowSeqNum | Low sequence number (can be changed by the application, must be >= 0).
  lowRxReqMaxSeqNum | Low retransmission request maximum sequence number (must be >= 0).
  highSeqNum | High sequence number (must be >= 0).
  source | Source string (e.g., "TCP:192.168.0.4:45789").
  sourceCbArg | Client-supplied source callback object if using the LBMSourceCreationCallback callback.

Exceptions

  com.latencybusters.lbm.LBMEInvalException | Low sequence number was < 0.
  com.latencybusters.lbm.LBMEInvalException | Low RX req max sequence number was < 0.
  com.latencybusters.lbm.LBMEInvalException | High sequence number was < 0.

## Member Function Documentation

int com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.flags | ( |  | ) |

Get recovery sequence number info informational flags.

Returns
  Informational flags.

uint com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.highSequenceNumber | ( |  | ) |

Get high sequence number.

Returns
  High sequence number.

uint com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.lowRxReqMaxSequenceNumber | ( |  | ) |

Get low retransmission request maximum sequence number.

Returns
  Low rxreq max sequence number.

uint com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.lowSequenceNumber | ( |  | ) |

Get low sequence number.

Returns
  Low sequence number.

Referenced by com.latencybusters.lbm.LBMReceiverAttributes.LBMReceiverAttributes().

void com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.setLowSequenceNumber | ( | uint | lowSeqNum | ) |

Set the desired starting low sequence number for recovery events.

Used in UMERecoverySequenceNumberCallback callbacks.

Parameters

  lowSeqNum | Desired starting sequence number for recovery (must be >= 0).

string com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.source | ( |  | ) |

Get the source string.

Returns
  Source string.

object com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.sourceClientObject | ( |  | ) |

Get source client object.

Returns
  Source client object.

UInt64 com.latencybusters.lbm.UMERecoverySequenceNumberCallbackInfo.sourceSessionId | ( |  | ) |

Get the session ID of the source.

Returns
  Source Session ID

The documentation for this class was generated from the following file:

- UMERecoverySequenceNumberCallbackInfo.cs